#!/bin/bash

PREFIX=/opt/xremap

# 以前に起動したxremapが残っていることがあるので、それらをkillします。
# sudo権限がないユーザーで利用する場合はsudoers.dに権限を追加してください。
# sudo visudo -f /etc/sudoers.d/clean-xremap で以下を記入。
# ALL ALL=(ALL:ALL) NOPASSWD: /opt/xremap/clean-xremap.sh
sudo $PREFIX/clean-xremap.sh

# $PREFIX/wf/xremapは
# cargo install xremap --features wlrootsでインストールされた
# wlroots用バイナリーである必要があります。
$PREFIX/wf/xremap --watch=config $PREFIX/sample-wf.yml

# キーボードの指定が必要な場合は上をコメントアウトして、下のように指定。
# $PREFIX/wf/xremap --watch=config --device "YOUR_KEYBOARD" $PREFIX/sample-wf.yml
