#!/bin/bash

PREFIX=/opt/xremap

# 以前に起動したxremapが残っていることがあるので、それらをkillします。
# sudo権限がないユーザーで利用する場合はsudoers.dに権限を追加してください。
# sudo visudo -f /etc/sudoers.d/clean-xremap で以下を記入。
# ALL ALL=(ALL:ALL) NOPASSWD: /opt/xremap/clean-xremap.sh
sudo $PREFIX/clean-xremap.sh

# $PREFIX/x11/xremapは
# cargo install xremap --features x11 でインストールされた
# x11用バイナリーである必要があります。
$PREFIX/x11/xremap --watch=config $PREFIX/sample-x11.yml

# キーボードの指定が必要な場合は上をコメントアウトして、下のように指定。
# $PREFIX/x11/xremap --watch=config --device "YOUR_KEYBOARD" $PREFIX/sample-x11.yml
